This project might be open to known security vulnerabilities, which can be prevented by tightening the version range of affected dependencies. Find detailed information at the bottom.

Crate tide-rustls

Dependencies

(6 total, 3 outdated, 1 possibly insecure)

CrateRequiredLatestStatus
 async-dup^1.2.21.2.4up to date
 async-h1^2.2.02.3.4up to date
 async-std^1.7.01.12.0up to date
 async-tls^0.11.00.13.0out of date
 rustls ⚠️^0.19.00.23.11out of date
 tide^0.15.00.16.0out of date

Security Vulnerabilities

rustls: `rustls::ConnectionCommon::complete_io` could fall into an infinite loop based on network input

RUSTSEC-2024-0336

If a close_notify alert is received during a handshake, complete_io does not terminate.

Callers which do not call complete_io are not affected.

rustls-tokio and rustls-ffi do not call complete_io and are not affected.

rustls::Stream and rustls::StreamOwned types use complete_io and are affected.